Apache Groovy 2.4.15 发布,改进 JDK9 / 10 支持 - 开源中国社区
Float_left Icon_close
Apache Groovy 2.4.15 发布,改进 JDK9 / 10 支持
王练 2018年03月29日

Apache Groovy 2.4.15 发布,改进 JDK9 / 10 支持

王练 王练 发布于2018年03月29日 收藏 3

【腾讯云】0基础建站 网站模板9元起! >>>  

Apache Groovy 2.4.15 已发布,这是 GROOVY_2_4_X 分支的维护版本,改进对 JDK9 / 10 的支持,强烈鼓励所有使用此分支旧版本的用户进行升级。

更新内容:

Bug

  • [GROOVY-8422] - Sql.newInstance 中的属性复制不正确

  • [GROOVY-8439] - @CompileStatic 无法编译泛型类的静态方法

  • [GROOVY-8475] - CLONE - 无法使用 “new” 关键字实例化对象

  • [GROOVY-8489] - CLONE -  jar 工件中的 module-info.class 无效

  • [GROOVY-8494] - CLONE - 从 JDK 9 中的 groovy 类调用 Stream.of 失败

  • [GROOVY-8514] - NullPointerException in class MissingMethodException

Improvement

Task

更多细节可查阅发行说明

下载地址:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Apache Groovy 2.4.15 发布,改进 JDK9 / 10 支持
分享
评论(4)
最新评论
0

引用来自“开源中国首席最强王者”的评论

这个是什么原理可以改变java语法?
并没有改变java语法,和java是不同的语言。jvm不认识java源码只认识字节码,groovy源码编译成符合jvm规范的字节码就可以了。
0

引用来自“开源中国首席最强王者”的评论

这个是什么原理可以改变java语法?
自己写一个解释器,把语言翻译成class文件的格式就可以了 是不是java不重要
0

引用来自“开源中国首席最强王者”的评论

这个是什么原理可以改变java语法?
只是运行在JVM上的一种动态语言,Java也是运行在JVM上的一种语言!
这个是什么原理可以改变java语法?
顶部